
package cz.isvs.iszr.schemas.iszrrosctiico2.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.iszr.schemas.iszrabstract.v1.IszrOdpovedAifoStIdAdrAbstractType;
import cz.isvs.rob.schemas.robdotazydata.v1.RobCtiHromadneAifoDataResponseType;
import cz.isvs.ros.schemas.rosdotazydata.v2.RosCtiIco2DataResponseType;
import cz.isvs.ruian.schemas.ctiprorob.v2.RuianCtiProRobDataResponseType;


/**
 * Služba E256 externího rozhraní - typ pro odpověď. Služba skládá údaje ze základních registrů ROS (S05), ROB (O08) a RUIAN (A28). Pokud je ve výsledku AIFO, volá se ROB se seznamem povolených atributů. Pokud jsou ve výsledku adresy, volá se RUIAN. RUAIN vrací adresy jak pro ROS tak pro ROB.
 * 
 * <p>Java class for RosCtiIco2ResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RosCtiIco2ResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:iszr:schemas:IszrAbstract:v1}IszrOdpovedAifoStIdAdrAbstractType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="RosOdpoved" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="RosCtiIco2DataResponse" type="{urn:cz:isvs:ros:schemas:RosDotazyData:v2}RosCtiIco2DataResponseType"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;element name="RobOdpoved" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="RobCtiHromadneAifoDataResponse" type="{urn:cz:isvs:rob:schemas:RobDotazyData:v1}RobCtiHromadneAifoDataResponseType"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;element name="RuianOdpoved" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="RuianCtiProRobDataResponse" type="{urn:cz:isvs:ruian:schemas:CtiProRob:v2}RuianCtiProRobDataResponseType"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RosCtiIco2ResponseType", propOrder = {
    "rosOdpoved",
    "robOdpoved",
    "ruianOdpoved"
})
public class RosCtiIco2ResponseType
    extends IszrOdpovedAifoStIdAdrAbstractType
{

    @XmlElement(name = "RosOdpoved")
    protected RosCtiIco2ResponseType.RosOdpoved rosOdpoved;
    @XmlElement(name = "RobOdpoved")
    protected RosCtiIco2ResponseType.RobOdpoved robOdpoved;
    @XmlElement(name = "RuianOdpoved")
    protected RosCtiIco2ResponseType.RuianOdpoved ruianOdpoved;

    /**
     * Gets the value of the rosOdpoved property.
     * 
     * @return
     *     possible object is
     *     {@link RosCtiIco2ResponseType.RosOdpoved }
     *     
     */
    public RosCtiIco2ResponseType.RosOdpoved getRosOdpoved() {
        return rosOdpoved;
    }

    /**
     * Sets the value of the rosOdpoved property.
     * 
     * @param value
     *     allowed object is
     *     {@link RosCtiIco2ResponseType.RosOdpoved }
     *     
     */
    public void setRosOdpoved(RosCtiIco2ResponseType.RosOdpoved value) {
        this.rosOdpoved = value;
    }

    /**
     * Gets the value of the robOdpoved property.
     * 
     * @return
     *     possible object is
     *     {@link RosCtiIco2ResponseType.RobOdpoved }
     *     
     */
    public RosCtiIco2ResponseType.RobOdpoved getRobOdpoved() {
        return robOdpoved;
    }

    /**
     * Sets the value of the robOdpoved property.
     * 
     * @param value
     *     allowed object is
     *     {@link RosCtiIco2ResponseType.RobOdpoved }
     *     
     */
    public void setRobOdpoved(RosCtiIco2ResponseType.RobOdpoved value) {
        this.robOdpoved = value;
    }

    /**
     * Gets the value of the ruianOdpoved property.
     * 
     * @return
     *     possible object is
     *     {@link RosCtiIco2ResponseType.RuianOdpoved }
     *     
     */
    public RosCtiIco2ResponseType.RuianOdpoved getRuianOdpoved() {
        return ruianOdpoved;
    }

    /**
     * Sets the value of the ruianOdpoved property.
     * 
     * @param value
     *     allowed object is
     *     {@link RosCtiIco2ResponseType.RuianOdpoved }
     *     
     */
    public void setRuianOdpoved(RosCtiIco2ResponseType.RuianOdpoved value) {
        this.ruianOdpoved = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="RobCtiHromadneAifoDataResponse" type="{urn:cz:isvs:rob:schemas:RobDotazyData:v1}RobCtiHromadneAifoDataResponseType"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "robCtiHromadneAifoDataResponse"
    })
    public static class RobOdpoved {

        @XmlElement(name = "RobCtiHromadneAifoDataResponse", required = true)
        protected RobCtiHromadneAifoDataResponseType robCtiHromadneAifoDataResponse;

        /**
         * Gets the value of the robCtiHromadneAifoDataResponse property.
         * 
         * @return
         *     possible object is
         *     {@link RobCtiHromadneAifoDataResponseType }
         *     
         */
        public RobCtiHromadneAifoDataResponseType getRobCtiHromadneAifoDataResponse() {
            return robCtiHromadneAifoDataResponse;
        }

        /**
         * Sets the value of the robCtiHromadneAifoDataResponse property.
         * 
         * @param value
         *     allowed object is
         *     {@link RobCtiHromadneAifoDataResponseType }
         *     
         */
        public void setRobCtiHromadneAifoDataResponse(RobCtiHromadneAifoDataResponseType value) {
            this.robCtiHromadneAifoDataResponse = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="RosCtiIco2DataResponse" type="{urn:cz:isvs:ros:schemas:RosDotazyData:v2}RosCtiIco2DataResponseType"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "rosCtiIco2DataResponse"
    })
    public static class RosOdpoved {

        @XmlElement(name = "RosCtiIco2DataResponse", required = true)
        protected RosCtiIco2DataResponseType rosCtiIco2DataResponse;

        /**
         * Gets the value of the rosCtiIco2DataResponse property.
         * 
         * @return
         *     possible object is
         *     {@link RosCtiIco2DataResponseType }
         *     
         */
        public RosCtiIco2DataResponseType getRosCtiIco2DataResponse() {
            return rosCtiIco2DataResponse;
        }

        /**
         * Sets the value of the rosCtiIco2DataResponse property.
         * 
         * @param value
         *     allowed object is
         *     {@link RosCtiIco2DataResponseType }
         *     
         */
        public void setRosCtiIco2DataResponse(RosCtiIco2DataResponseType value) {
            this.rosCtiIco2DataResponse = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="RuianCtiProRobDataResponse" type="{urn:cz:isvs:ruian:schemas:CtiProRob:v2}RuianCtiProRobDataResponseType"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "ruianCtiProRobDataResponse"
    })
    public static class RuianOdpoved {

        @XmlElement(name = "RuianCtiProRobDataResponse", required = true)
        protected RuianCtiProRobDataResponseType ruianCtiProRobDataResponse;

        /**
         * Gets the value of the ruianCtiProRobDataResponse property.
         * 
         * @return
         *     possible object is
         *     {@link RuianCtiProRobDataResponseType }
         *     
         */
        public RuianCtiProRobDataResponseType getRuianCtiProRobDataResponse() {
            return ruianCtiProRobDataResponse;
        }

        /**
         * Sets the value of the ruianCtiProRobDataResponse property.
         * 
         * @param value
         *     allowed object is
         *     {@link RuianCtiProRobDataResponseType }
         *     
         */
        public void setRuianCtiProRobDataResponse(RuianCtiProRobDataResponseType value) {
            this.ruianCtiProRobDataResponse = value;
        }

    }

}
