
package cz.isvs.reg.schemas.regtypy.v1;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlEnumValue;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for VysledekSubKodProbeType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="VysledekSubKodProbeType"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="OK"/&gt;
 *     &lt;enumeration value="NEVALIDNI DATA"/&gt;
 *     &lt;enumeration value="NEVALIDNI ZADOST"/&gt;
 *     &lt;enumeration value="CHYBA DATABAZE"/&gt;
 *     &lt;enumeration value="ROZHRANI NEDOSTUPNE"/&gt;
 *     &lt;enumeration value="NEVALIDNI ODPOVED"/&gt;
 *     &lt;enumeration value="SPECIFIKACE V POPISU"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "VysledekSubKodProbeType")
@XmlEnum
public enum VysledekSubKodProbeType {


    /**
     * Systém je plně funkční.
     * 
     */
    OK("OK"),

    /**
     * Aplikační data nejsou validní podle XSD dokumentů. Odpověď volaného systému.
     * 
     */
    @XmlEnumValue("NEVALIDNI DATA")
    NEVALIDNI_DATA("NEVALIDNI DATA"),

    /**
     * Kód služby neodpovídá XML struktuře žádosti. Odpoěď volaného systému.
     * 
     */
    @XmlEnumValue("NEVALIDNI ZADOST")
    NEVALIDNI_ZADOST("NEVALIDNI ZADOST"),

    /**
     * Chyba databáze systému, systém není schopen zpracovávat data.
     * 
     */
    @XmlEnumValue("CHYBA DATABAZE")
    CHYBA_DATABAZE("CHYBA DATABAZE"),

    /**
     * Testovaný systém (ZR, ORG, AISy) není dostupný - chyba volání. Odpověď vytváří ISZR - nedostalo odpověď.
     * 
     */
    @XmlEnumValue("ROZHRANI NEDOSTUPNE")
    ROZHRANI_NEDOSTUPNE("ROZHRANI NEDOSTUPNE"),

    /**
     * Testovaný systém (ZR, ORG, AISy) vrací nevalidní odpověď. Odpověď vytváří ISZR - dostalo nevalidní odpověď.
     * 
     */
    @XmlEnumValue("NEVALIDNI ODPOVED")
    NEVALIDNI_ODPOVED("NEVALIDNI ODPOVED"),

    /**
     * Detailní popis uveden v popisu.
     * 
     */
    @XmlEnumValue("SPECIFIKACE V POPISU")
    SPECIFIKACE_V_POPISU("SPECIFIKACE V POPISU");
    private final String value;

    VysledekSubKodProbeType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static VysledekSubKodProbeType fromValue(String v) {
        for (VysledekSubKodProbeType c: VysledekSubKodProbeType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
