
package cz.isvs.rob.schemas.robtypy.v1;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlEnumValue;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for VysledekSubKodRobType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="VysledekSubKodRobType"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="CHYBA MAPA ADRES"/&gt;
 *     &lt;enumeration value="CHYBA MAPA AIFO"/&gt;
 *     &lt;enumeration value="CHYBA ROZSAHU"/&gt;
 *     &lt;enumeration value="CHYBA TYPU"/&gt;
 *     &lt;enumeration value="NEVALIDNI DATA"/&gt;
 *     &lt;enumeration value="NEVALIDNI ZADOST"/&gt;
 *     &lt;enumeration value="OBECNA CHYBA SLUZBY"/&gt;
 *     &lt;enumeration value="PREKROCEN POCET"/&gt;
 *     &lt;enumeration value="NEPOVOLENA KOMBINACE"/&gt;
 *     &lt;enumeration value="NEPOVOLENY PARAMETR"/&gt;
 *     &lt;enumeration value="ZAZNAM NENALEZEN"/&gt;
 *     &lt;enumeration value="NENI OPRAVNENI"/&gt;
 *     &lt;enumeration value="NENI K DISPOZICI"/&gt;
 *     &lt;enumeration value="NENI IMPLEMENTOVANO"/&gt;
 *     &lt;enumeration value="PARCIALNI ZAZNAM NEOVEREN"/&gt;
 *     &lt;enumeration value="PARCIALNI ZAZNAM NENALEZEN"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "VysledekSubKodRobType")
@XmlEnum
public enum VysledekSubKodRobType {


    /**
     * 
     *                         Neshoda mezi použitými kódy RUIAN v datové části a mapě
     *                         nebo mapa chybí.
     *                     
     * 
     */
    @XmlEnumValue("CHYBA MAPA ADRES")
    CHYBA_MAPA_ADRES("CHYBA MAPA ADRES"),

    /**
     * 
     *                         Neshoda mezi použitými AIFO v datové části a mapě nebo
     *                         mapa chybí.
     *                     
     * 
     */
    @XmlEnumValue("CHYBA MAPA AIFO")
    CHYBA_MAPA_AIFO("CHYBA MAPA AIFO"),

    /**
     * 
     *                         Údaj na vstupu nevyhovuje povolené délce.
     *                     
     * 
     */
    @XmlEnumValue("CHYBA ROZSAHU")
    CHYBA_ROZSAHU("CHYBA ROZSAHU"),

    /**
     * 
     *                         Chybný datový typ údaje vstupu.
     *                     
     * 
     */
    @XmlEnumValue("CHYBA TYPU")
    CHYBA_TYPU("CHYBA TYPU"),

    /**
     * 
     *                         Aplikační data nejsou validní podle aplikačních omezení.
     *                     
     * 
     */
    @XmlEnumValue("NEVALIDNI DATA")
    NEVALIDNI_DATA("NEVALIDNI DATA"),

    /**
     * 
     *                         Kód služby neodpovídá XML struktuře žádosti.
     *                     
     * 
     */
    @XmlEnumValue("NEVALIDNI ZADOST")
    NEVALIDNI_ZADOST("NEVALIDNI ZADOST"),

    /**
     * 
     *                         Službu nebylo možné provést z důvodu chyby na straně
     *                         poskytovatel služby
     *                         (chyba databázového nebo aplikačního serveru, ...).
     *                     
     * 
     */
    @XmlEnumValue("OBECNA CHYBA SLUZBY")
    OBECNA_CHYBA_SLUZBY("OBECNA CHYBA SLUZBY"),

    /**
     * 
     *                         Překročen počet povolených záznamů. Je nutno upřesnit
     *                         podmínky pro vyhledání.
     *                     
     * 
     */
    @XmlEnumValue("PREKROCEN POCET")
    PREKROCEN_POCET("PREKROCEN POCET"),

    /**
     * 
     *                         Vyhledávací dotaz neobsahuje žádnou z minimálních
     *                         povolených
     *                         kombinací parametrů dotazu
     *                     
     * 
     */
    @XmlEnumValue("NEPOVOLENA KOMBINACE")
    NEPOVOLENA_KOMBINACE("NEPOVOLENA KOMBINACE"),

    /**
     * 
     *                         Vyhledávací dotaz obsahuje nepovolený parametr datazu.
     *                     
     * 
     */
    @XmlEnumValue("NEPOVOLENY PARAMETR")
    NEPOVOLENY_PARAMETR("NEPOVOLENY PARAMETR"),

    /**
     * 
     *                         stupní kombinaci údajů neodpovídá žádný záznam.
     *                     
     * 
     */
    @XmlEnumValue("ZAZNAM NENALEZEN")
    ZAZNAM_NENALEZEN("ZAZNAM NENALEZEN"),

    /**
     * 
     *                         Není oprávnění k požadované interní službě, rozhodnutí
     *                         základního registru.
     *                     
     * 
     */
    @XmlEnumValue("NENI OPRAVNENI")
    NENI_OPRAVNENI("NENI OPRAVNENI"),

    /**
     * 
     *                         Služba není dočasně k dispozici.
     *                     
     * 
     */
    @XmlEnumValue("NENI K DISPOZICI")
    NENI_K_DISPOZICI("NENI K DISPOZICI"),

    /**
     * 
     *                         Služba není implementována.
     *                     
     * 
     */
    @XmlEnumValue("NENI IMPLEMENTOVANO")
    NENI_IMPLEMENTOVANO("NENI IMPLEMENTOVANO"),

    /**
     * 
     *                         Pokud alespoň jeden údaj není ověřen
     *                     
     * 
     */
    @XmlEnumValue("PARCIALNI ZAZNAM NEOVEREN")
    PARCIALNI_ZAZNAM_NEOVEREN("PARCIALNI ZAZNAM NEOVEREN"),

    /**
     * 
     *                         Pokud alespoň jedna osoba není nalezena
     *                     
     * 
     */
    @XmlEnumValue("PARCIALNI ZAZNAM NENALEZEN")
    PARCIALNI_ZAZNAM_NENALEZEN("PARCIALNI ZAZNAM NENALEZEN");
    private final String value;

    VysledekSubKodRobType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static VysledekSubKodRobType fromValue(String v) {
        for (VysledekSubKodRobType c: VysledekSubKodRobType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
